Classes | UGens>User interaction

# MouseX : UGen : AbstractFunction : Object

Cursor tracking UGen.
Source: MacUGens.sc
Subclasses: MouseY
See also: KeyState, MouseButton, MouseY

## Description

Cursor tracking UGen.

## Class Methods

### MouseX.kr(minval: 0, maxval: 1, warp: 0, lag: 0.2)

#### Arguments:

minval | Value corresponding to the left edge of the screen.
maxval | Value corresponding to the right edge of the screen.
warp | Mapping curve. 0 is linear, 1 is exponential (e. g. for freq or times). Alternatively you can specify: 'linear' or 'exponential'.
lag | Lag factor to dezipper cursor movement.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### .signalRange

## Examples

{ SinOsc.ar(MouseX.kr(40, 10000, 1), 0, 0.1) }.play; { SinOsc.ar(MouseX.kr(500, 10000, 1).poll, 0, 0.1) }.play;
helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/MouseX.schelp
link::Classes/MouseX::